<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or 
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("authentication_admin.php");

include("../../config/compile_config.php"); 


//Obtenemos el modo de orden de listado
if (!isset($_REQUEST['order'])) {
	$order = 'create_time';
}
else {
	$order = $_REQUEST['order'];
}

//Obtenemos los aprametros de filtro
$query_where="";
if (isset($_REQUEST['name']) && $_REQUEST['name']!="") {
	$name=strtolower($_REQUEST['name']);
	$query_where.="name='$name' && ";
}
if (isset($_REQUEST['user']) && $_REQUEST['user']!="") {
	$user=strtolower($_REQUEST['user']);
	$query_where.="user='$user' && ";
}
if (isset($_REQUEST['platform']) && $_REQUEST['platform']!="") {
	$platform=$_REQUEST['platform'];
	$query_where.="platform='$platform' && ";
}
if (isset($_REQUEST['language']) && $_REQUEST['language']!="" ) {
	$language=$_REQUEST['language'];
	$query_where.="language='$language' && ";	
}
if (isset($_REQUEST['application']) && $_REQUEST['application']!="") {
	$application=$_REQUEST['application'];
	$query_where.="application='$application' && ";	
}

$query_where=substr($query_where, 0, strlen($query_where)-3);



//Hacemos la consulta a la base de datos para obtener los datos del usuario
//Recogemos los datos de conexion de la base de datos
require('../../config/connect_config.php');

//Establecemos la conexion con el servidor
$conexion=mysql_connect($db_host,$db_user,$db_password);

//Asignamos la conexion a una base de datos determinada
mysql_select_db($db_name,$conexion);

//Recogemos en una variable el nombre de la TABLA
$tabla="project";

//Hacemos la consulta
//$resultado=mysql_query("SELECT * FROM $tabla ORDER BY user",$conexion);
//Generamos la query
if ($query_where!="") {
	$query="SELECT * FROM $tabla WHERE ($query_where) ORDER BY $order";
}
else {
	$query="SELECT * FROM $tabla ORDER BY $order";
}

//Hacemos la consulta
$resultado=mysql_query($query, $conexion);

$error = 0;
if (mysql_errno($conexion)!=0){ 
	$numerror=mysql_errno($conexion);
	$descrerror=mysql_error($conexion);
	$mensaje_head = "Sorry, there are errors with data";
    $mensaje = "Error nº $numerror: $descrerror";
}



//Obtenemos los usuarios para el filtro
$query = "SELECT * FROM user";
$resultado_users=mysql_query($query, $conexion);


//Paginacion
//Obtenemos la pagina a mostrar
if (!isset($_REQUEST['pagenum'])) {
	$pagenum = 1;
}
else {
	$pagenum = $_REQUEST['pagenum'];
}
//Here we count the number of results
$num_rows = mysql_num_rows($resultado);
//This is the number of results displayed per page
$page_rows = 5;
//This tells us the page number of our last page
$last = ceil($num_rows/$page_rows);
//this makes sure the page number isn't below one, or more than our maximum pages
if ($pagenum < 1) {
 	$pagenum = 1;
}
else if ($pagenum > $last) {
	$pagenum = $last;
}
//This sets the range to display in our query
$limit_inf = ($pagenum-1)*$page_rows;
$limit_sup = $limit_inf+$page_rows;




//FUNCIONES AUXILIARES
function get_size($path) {
	//echo 'path: '.$path;
	//echo '<br>';
	//$count=0;
	$result['count'] = 0;
  	if(!is_dir($path)) {
		$result['size'] = filesize($path);
		return $result;
	}
	else {
		if ($handle = opendir($path)) {
			$result['size'] = 0;
			while (false !== ($file = readdir($handle))) {
				if($file!='.' && $file!='..' && $file!='.backups') {
					$result['count']++;
					$result_temp = get_size($path.'/'.$file);
					$result['size'] += $result_temp['size'];
				}
			}
			closedir($handle);
			return $result;
		}
	}
} 	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
		function change_location(location) {
			window.location=location;
		}
        function volver() {
        	history.back()
        }
		function update() {
			//document.filter_advance_form.action="list_projects_admin.php";
			document.filter_advance_form.submit();			 
		}	
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_admin.php"); ?>
        <div id="content">
            <div id="content_left">        
            	<?php include("menu_projects_admin.php"); ?>        
            </div>
            
            <div id="content_center">
                <div id="result_server">
	                <?php if ($error==1) { ?>
                   	<h2><?php echo $mensaje_head ?></h2>
   	                <p><?php echo $mensaje ?></p>	                        
   		            <button onclick="volver()">Back</button>
        	        <?php } else { ?>
                        <h2>List all projects</h2>
						<?php if ($num_rows == 0) { ?>
							<p>There are not projects</p>
                            <p>Please, create a new project</p>
						<?php } else { ?>
                            <div id="filter_list" style="text-align:right;">
                                <label for="order">Order by:</label>
                                <select name="order" class="textfield" id="order" onchange="change_location('list_projects_admin.php?pagenum=<?php echo $pagenum ?>&order='+this.options[this.selectedIndex].value)">
                                    <option value="user">User</option>
                                    <option value="name">Name</option>
                                    <option value="platform">Platform</option>
                                    <option value="language">Language</option>
                                    <option value="application">Application</option>
                                    <option value="create_time">Date</option>
                                </select>                                           
                                <script type="text/javascript">
                                /*<![CDATA[*/
                                    var elem_sel = document.getElementById('order');
                                    for (var i=0; i<elem_sel.length; i++) {
                                        if (elem_sel.options[i].value == '<?php echo $order ?>') {
                                            elem_sel.selectedIndex = i;
                                        }
                                    }
                                /*]]>*/
                                </script>
                            </div>
                            <div style="text-align:right;margin:5px 0 10px 0">
	                            <a id="show_filter" href="#" onclick="document.getElementById('filter_advance').style.display = 'block'; document.getElementById('hidde_filter').style.display = 'block'; this.style.display = 'none'; " style="display:block">Show advance filter</a>
    	                        <a id="hidde_filter" href="#" onclick="document.getElementById('filter_advance').style.display = 'none'; document.getElementById('show_filter').style.display = 'block'; this.style.display = 'none'; " style="display:none">Hidde advance filter</a>
                            </div>
                            <div id="filter_advance" style="display:none">
                              <form name="filter_advance_form" method="POST" action="list_projects_admin.php">
                              	<label for="user">User:</label>
                                <select id="user" name="user" onchange="update()">
                                	<option></option>
                                    <?php
									while ($row = mysql_fetch_assoc($resultado_users)) {
										if (isset($_REQUEST['user']) && $_REQUEST['user'] == $row['user']) {
											echo '<option value="'.$row['user'].'" selected="selected">'.$row['user'].'</option>';
										}
										else {
											echo '<option value="'.$row['user'].'">'.$row['user'].'</option>';
										}
									}
									?>
                                </select>
                                <br />
	                            <label for="platform">Platform:</label>
                                <select id="platform" name="platform" onchange="update()">
                                	<option></option>
									<?php
                                    for ($i=0; $i<count($platforms); $i++) {
                                        if (isset($_POST['platform']) && $_POST['platform']==$platforms[$i]) {
                                            echo '<option value="'.$platforms[$i].'" selected="selected">'.$platforms[$i].'</option>';
                                        }
                                        else {
                                            echo '<option value="'.$platforms[$i].'">'.$platforms[$i].'</option>';
                                        }
                                    }
                                    ?>
                             	</select>
                            	<label for="language">Language:</label>
								<?php
                                if (isset($_POST['platform']) && $_POST['platform']!="") {
                                    echo '<select id="language" name="language" onchange="update()">';
                                    echo '<option> </option>';
                                    $platform=$_POST['platform'];
                                    if (isset($_POST['language']) && $_POST['language']!="") {
                                        for ($i=0; $i<count($languages[$platform]); $i++) {
                                            if ($_POST['language']==$languages[$platform][$i]) {
                                                echo '<option value="'.$languages[$platform][$i].'" selected="selected">'.$languages[$platform][$i].'</option>';
                                            }
                                            else {
                                                echo '<option value="'.$languages[$platform][$i].'">'.$languages[$platform][$i].'</option>';
                                            }
                                        }
                                    }
                                    else {
                                        for ($i=0; $i<count($languages[$platform]); $i++) {
                                            echo '<option value="'.$languages[$platform][$i].'">'.$languages[$platform][$i].'</option>';
                                        }
                                    }
                                }
                                else {
                                    echo '<select id="language" name="language" disabled="disabled">';
                                    echo '<option value=" "> </option>';
                                }
                                echo '</select>';
                                ?>
                                <label for="application">Application:</label>
                                <?php
								if (isset($_POST['platform']) && $_POST['platform']!="" &&
									isset($_POST['language']) && $_POST['language']!="") {
									echo '<select id="application" name="application" onchange="update()">';
									echo '<option> </option>';
									$platform=$_POST['platform'];
									$language=$_POST['language'];
									if (isset($_POST['application']) && $_POST['application']!="") {
										for ($i=0; $i<count($applications[$platform][$language]); $i++) {
											if ($_POST['application']==$applications[$platform][$language][$i]) {
												echo '<option value="'.$applications[$platform][$language][$i].'" selected="selected">'.$applications[$platform][$language][$i].'</option>';
											}
											else {
												echo '<option value="'.$applications[$platform][$language][$i].'">'.$applications[$platform][$language][$i].'</option>';
											}
										}
									}
									else {
										for ($i=0; $i<count($applications[$platform][$language]); $i++) {
											echo '<option value="'.$applications[$platform][$language][$i].'">'.$applications[$platform][$language][$i].'</option>';
										}
									}
								}
								else {
									echo '<select id="application" name="application" disabled="disabled" >';
									echo '<option value=" "> </option>';
								}
								echo '</select>';
								?>
                              </form>
                            </div>
							
	                    	
							<?php 
							for ($i=0; $i<$num_rows; $i++) {
								$row = mysql_fetch_assoc($resultado);
								if ($i>=$limit_inf && $i<$limit_sup && $row) {	     
									//Calculamos el espacio que consume ese proyecto
									$user=$row['user'];
									$name=$row['name'];				
									$path="../../users/$user/$name";
									
									$result = get_size($path);
									$size = round($result['size']/1024, 2);
									$dim = $result['count'];
									
									$path="../../users/$user/$name/.backups";
									$result = get_size($path);
									$size_backups = round($result['size']/1024, 2);
									$dim_backups = $result['count'];
									?>
				
                                    <table id="list_projects_admin" width="490" border="0" cellpadding="3" cellspacing="1" >
                                        <tr>
                                            <td width="430" bgcolor="#CCCCCC"><a href="../workspace/work_project.php?user=<?php echo urlencode($row['user']) ?>&name=<?php echo urlencode($row['name']) ?>" class="table_title"><?php echo $row['name'] ?></a></td>
                                            <td width="60" bgcolor="#CCCCCC">
                                                <!--<a href="edit_project.php?name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_edit.png" border="0" alt="Edit project" title="Edit project" /></a>-->
                                                <a href="delete_project_admin.php?user=<?php echo urlencode($row['user']) ?>&name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_delete.png" border="0" alt="Delete project" title="Delete project" /></a>
                                                <a href="../workspace/work_project.php?user=<?php echo urlencode($row['user']) ?>&name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_work.png" border="0" alt="Work project" title="Work project" /></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><a href="show_account_admin.php?user=<?php echo $row['user']?>"><?php echo $row['user'] ?></a></td>
                                        </tr>

                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $row['description'] ?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $row['platform'].' / '.$row['language'].' / '.$row['application']?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo date("d-m-Y H:i",$row['create_time']) ?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $size ?> KBytes in <?php echo $dim ?> files</td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $size_backups ?> KBytes in <?php echo $dim_backups ?> backups</td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="6" bgcolor="#FFFFFF"></td>
                                        </tr>
                                    </table>
							<?php }
							} 
							?>
							<div id="pagination">
                            	<div>
								<?php
                                if ($pagenum != 1) {
                                    $previous = $pagenum-1;
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=1&order=$order'> <<</a> ";
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=$previous&order=$order'><</a> ";
                                }
                                ?>
                                </div>
                                <div>
								<?php
								if ($num_rows > $page_rows) {
									echo "$pagenum of $last";
								}
								?>
                                </div>

                                <div>
                                <?php
                                //This does the same as above, only checking if we are on the last page, and then generating the Next and Last links
                                if ($pagenum != $last) {
                                    $next = $pagenum+1;
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=$next&order=$order'>></a> ";
                                    echo " <a href='{$_SERVER['PHP_SELF']}?pagenum=$last&order=$order'>>></a> ";
                                } 
                                ?>
                                </div>
                            </div>
						<?php }
							//Liberamos el conjunto de resultados
							mysql_free_result($resultado);
							mysql_free_result($resultado_users);
							//Cerramos la conexion
							mysql_close($conexion);
						?>
					<?php } ?>
                </div>
            </div>
        </div>
        <?php include("foot_admin.php"); ?>
    </div>
</body>
</html>






