<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

//Comprobamos si el formulario est� correctamente rellenado:
$user=trim($_POST['user']);
$email=trim($_POST['email']);

$error=0;
//No se han completado todos los campos
if (($user=="") && ($email=="")) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//Comprobamos que el mail es correcto
//Comprobamos si no tiene @ o no tiene texto antes de la @
else if (($email!="") && ((strrpos($email,'@')==FALSE) || (strrpos($email,'@')==0))) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//Comprobamos si hay mas de una @ o no tiene . despues de la @
else if (($email!="") && ((substr_count($email,'@')>1) || (stristr(substr(stristr($email,'@'),1),'.')==FALSE))) {
	$mensaje_head = "Sorry, there are errors in the form";
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//El formulario esta correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../../config/connect_config.php');

	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);

	//Asignamos la conexion a una base de datos determinada
	mysql_select_db($db_name,$conexion);

	//Recogemos en una variable el nombre de la TABLA
	$tabla="admin";

	if ($user!="") {
		$user = strtolower($user);
		$query = "SELECT email FROM $tabla WHERE user='$user'";
	}
	else if ($email!="") {
		$email = strtolower($emaill);
		$query = "SELECT email FROM $tabla WHERE email='$email'";
	}
	
	//Buscamos el usuario
	$resultado=mysql_query($query,$conexion);
	$array=mysql_fetch_row($resultado);
			 
	//Comprobamos el resultado de la consulta
	if (mysql_errno($conexion)==0) {
		//Comprobamos si no hay resultados de la consulta
		if (mysql_num_rows($resultado)==0) {
			//el admin no existe
			$mensaje_head = "Sorry, there are errors with data";
			$mensaje="User or email incorrect";
			$error=1;
		}
	}
	else {
		$mensaje_head = "Sorry, there are errors with data";
		if (mysql_errno($conexion)==1062){
			$mensaje="There are other user with this user name";
			$error=1;
		}
		else { 
			$numerror=mysql_errno($conexion);
        	$descrerror=mysql_error($conexion);
        	$mensaje="Error nº $numerror: $descrerror";
			$error=1;
	    }
	}
} 


if ($error!=1) {
	//Generamos un nuevo password
	mt_srand((double)microtime()*1000000);
	$password = mt_rand();
	//echo $password;
	
	//Mandamos un nuevo password por correo
	$asunto="Your new password of WebDevStudio";
	$message="Password assistance of WebDevStudio<br><br>";
	$message.="This is your new login data:<br><br>";
	$message.="User: $user<br>";
	$message.="Password: $password<br><br>";
	$message.="Thank you for using WebDevStudio<br><br>";
	$message.="For questions or concerns regarding your account, please send mail to info@webdevstudio.org<br>";
	$header="MIME-Version: 1.0\r\n";
	$header.="Content-type: text/html; charset=UTF-8\r\n";
	$header.="From: <info@webdevstudio.org>\r\n";
	
	if (mail($array['0'], $asunto, $message, $header)) {
		//El mail se ha mandado correctamente
		$mensaje_head = "Congratulations!";
		$mensaje= "Your new password has been sent by email successfully";
		//Actualizamos la base de datos con ese nuevo password
		$password=sha1($password);
		if ($user!="") {
			$user = strtolower($user);
			$query = "UPDATE $tabla SET password='$password' WHERE user='$user'";
		}
		else if ($email!="") {
			$email = strtolower($emaill);
			$query = "UPDATE $tabla SET password='$password' WHERE email='$email'";
		}
		mysql_query($query, $conexion);
	}
	else {
		//El mail no se ha podido mandar
		$mensaje_head = "Sorry, there are errors with email";
		$mensaje = "Please, try again to send to a new email";
	}
	
}
//Liberamos los datos de la consulta
if (isset($resultado) && isset($conexion)) {
	//Liberamos el conjunto de resultados
	mysql_free_result($resultado);
	//Cerramos la conexion
	mysql_close($conexion);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
    	function volver() {
        	history.back()
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_admin.php") ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_admin.png" alt="Administration" />Administration</li>
                    <li></li>
                </ul>
            </div>
            <div id="content_center">
                <div id="result_server">
                    <h2><?php echo $mensaje_head ?></h2>
                    <p><?php echo $mensaje ?></p>
                    <button onclick="volver()">Back</button>
                </div>
            </div>
        </div>
        <?php include("foot_admin.php"); ?>
	</div>
</body>
</html>