<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
        function volver() {
            history.back();
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_help.php"); ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_help.png" alt="Help" />Help</li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><a href="#" onclick="volver()">Back</a></li>
                </ul>
            </div>
            
            <div id="content_center">
                <div id="result_server">
                    <h2>Toolbar information</h2>
                    <p><img src="../../images/editor/toolbar/new_file.png" align="top" alt="new file" />Create a new file.</p>
                    <p><img src="../../images/editor/toolbar/new_folder.png" align="top" alt="new folder" />Create a new folder.</p>
                    <p><img src="../../images/editor/toolbar/save.png" align="top" alt="save file in server" />Save file in server.</p>
                    <p><img src="../../images/editor/toolbar/save_all.png" align="top" alt="save all files in server" />Save all files in server.</p>
                    <p><img src="../../images/editor/toolbar/up.png" align="top" alt="upload a local file to server" />Upload a local file to server.</p>
                    <p><img src="../../images/editor/toolbar/down.png" align="top" alt="down file to sever" />Save current file and down file from server.</p>
                    <p><img src="../../images/editor/toolbar/new_backup.png" align="top" alt="backup project" />Make a backup of current files of project.</p>
                    <p><img src="../../images/editor/toolbar/print.png" align="top" alt="print text" />Print the text that is editing.</p>
                    <p><img src="../../images/editor/toolbar/cut.png" align="top" alt="cut" />Cut selected text to clipboard.</p>
                    <p><img src="../../images/editor/toolbar/copy.png" align="top" alt="copy" />Copy selected text to clipboard.</p> 
                    <p><img src="../../images/editor/toolbar/paste.png" align="top" alt="paste" />Paste text from clipboard.</p>
                    <p><img src="../../images/editor/toolbar/undo.png" align="top" alt="undo" />Undo.</p>
                    <p><img src="../../images/editor/toolbar/redo.png" align="top" alt="redo" />Redo.</p>
                    <p><img src="../../images/editor/toolbar/find.png" align="top" alt="find text" />Find text.</p>
                    <p><img src="../../images/editor/toolbar/gotoline.png" align="top" alt="go to line" />Go to line.</p>
                    <p><img src="../../images/editor/toolbar/fullscreen.png" align="top" alt="toggle fullscreen" />Toogle fullscreen</p>
                    <p><img src="../../images/editor/toolbar/compile.png" align="top" alt="compile file">Save and compile current file.</p> 
                    <p><img src="../../images/editor/toolbar/build.png" align="top" alt="build project">Save all modified files and generate executable file of project.</p>
                    <p><img src="../../images/editor/toolbar/help.png" align="top" alt="help">This help.</p>                             
                </div>
            </div>
        </div>     
        <?php include("foot_help.php"); ?>
	</div>        
</body>
</html>
