<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");

//Eliminamos los restos de la session anterior
$_SESSION['s_name']=false;
$_SESSION['s_language']=false;
$_SESSION['s_platform']=false;
$_SESSION['s_application']=false;
$_SESSION['s_file']=false;
$_SESSION['s_result']=false;

//Obtenemos el modo del tipo de listado
if (!isset($_REQUEST['type'])) {
	//$type = 'name';
	$type = 'create_time';
}
else {
	$type = $_REQUEST['type'];
}

//Obtenemos el modo de orden de listado
if (!isset($_REQUEST['order'])) {
	$order = 'desc';
}
else {
	$order = $_REQUEST['order'];
}



//Hacemos la consulta a la base de datos para obtener los datos del usuario
//Recogemos los datos de conexion de la base de datos
require('../../config/connect_config.php');

//Establecemos la conexion con el servidor
$conexion=mysql_connect($db_host,$db_user,$db_password);

//Asignamos la conexion a una base de datos determinada
mysql_select_db($db_name,$conexion);

//Buscamos el usuario
//session_start();
$user=$_SESSION['s_user'];

//Recogemos en una variable el nombre de la TABLA
$tabla="project";

//Hacemos la consulta
//$query = "SELECT * FROM $tabla WHERE (user='$user') ORDER BY $type";
$query = "SELECT * FROM $tabla WHERE (user='$user') ORDER BY $type $order";
$resultado = mysql_query($query, $conexion);

$error = 0;
if (mysql_errno($conexion)==1062){
	$mensaje_head = "Sorry, there are errors with data";
	$mensaje = "There are other user with this user name";
	$error = 1;
	//echo "There are other user with this user name";
}
else if (mysql_errno($conexion)!=0){ 
	$numerror=mysql_errno($conexion);
   	$descrerror=mysql_error($conexion);
	$mensaje_head = "Sorry, there are errors with data";
	$mensaje = "Error nº $numerror: $descrerror";
	$error = 1;
  	//echo "Error nº $numerror: $descrerror <br>";
}

//Paginacion
//Obtenemos la pagina a mostrar
if (!isset($_REQUEST['pagenum'])) {
	$pagenum = 1;
}
else {
	$pagenum = $_REQUEST['pagenum'];
}
//Here we count the number of results
$num_rows = mysql_num_rows($resultado);
//This is the number of results displayed per page
$page_rows = 5;
//This tells us the page number of our last page
$last = ceil($num_rows/$page_rows);
//this makes sure the page number isn't below one, or more than our maximum pages
if ($pagenum < 1) {
 	$pagenum = 1;
}
else if ($pagenum > $last) {
	$pagenum = $last;
}
//This sets the range to display in our query
$limit_inf = ($pagenum-1)*$page_rows;
$limit_sup = $limit_inf+$page_rows;
//$max = ($pagenum-1)*$page_rows.','.$page_rows;



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
		function change_location(location) {
			window.location=location;
		}
        function volver() {
        	history.back()
        }
	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php"); ?>
        <div id="content">
            <div id="content_left">        
            	<?php include("menu_projects.php"); ?>        
            </div>
            
            <div id="content_center">
                <div id="result_server">
	                <?php if ($error==1) { ?>
                   	<h2><?php echo $mensaje_head ?></h2>
   	                <p><?php echo $mensaje ?></p>	                        
   		            <button onclick="volver()">Back</button>
        	        <?php } else { ?>
                        <h2>List all projects</h2>
                    	<?php if ($num_rows == 0) { ?>
							<p>There are not projects</p>
                            <p>Please, create a new project</p>
						<?php }	
						else { ?>
                            <div id="filter_list" style="text-align:right;">
                                Order by:
                                <select name="type" class="textfield" id="type" onchange="change_location('list_projects.php?pagenum=<?php echo $pagenum ?>&type='+this.options[this.selectedIndex].value+'&order=<?php echo $order ?>')">
                                    <option value="name">Name</option>
                                    <option value="platform">Platform</option>
                                    <option value="language">Language</option>
                                    <option value="application">Application</option>
                                    <option value="create_time">Date</option>
                                </select>
                                <select name="order" class="textfield" id="order" onchange="change_location('list_projects.php?pagenum=<?php echo $pagenum ?>&type=<?php echo $type ?>&order='+this.options[this.selectedIndex].value)">
                                    <option value="asc">Ascendent</option>
                                    <option value="desc">Descendent</option>
                                </select>
								
                                <script type="text/javascript">
                                /*<![CDATA[*/
                                    var elem_sel = document.getElementById('type');
                                    for (var i=0; i<elem_sel.length; i++) {
                                        if (elem_sel.options[i].value == '<?php echo $type ?>') {
                                            elem_sel.selectedIndex = i;
                                        }
                                    }
									
									elem_sel = document.getElementById('order');
                                    for (var i=0; i<elem_sel.length; i++) {
                                        if (elem_sel.options[i].value == '<?php echo $order ?>') {
                                            elem_sel.selectedIndex = i;
                                        }
                                    }
									
                                /*]]>*/
                                </script>
                                <br /><br />
                            </div>
                            <?php
							//while($row = mysql_fetch_array($resultado)) {
							for ($i=0; $i<$num_rows; $i++) {
								$row = mysql_fetch_assoc($resultado);
								if ($i>=$limit_inf && $i<$limit_sup && $row) {	?>
                                    <table id="list_projects" width="490" border="0" cellpadding="3" cellspacing="1" >
                                        <tr>
                                            <td width="410" bgcolor="#CCCCCC"><a href="../workspace/work_project.php?name=<?php echo urlencode($row['name']) ?>" class="table_title"><?php echo $row['name'] ?></a></td>
                                            <td width="80" bgcolor="#CCCCCC">
                                                <a href="edit_project.php?name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_edit.png" border="0" alt="Edit project" title="Edit project" /></a>
                                                <a href="delete_project.php?name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_delete.png" border="0" alt="Delete project" title="Delete project" /></a>
                                                <a href="../workspace/work_project.php?name=<?php echo urlencode($row['name']) ?>"><img src="../../images/general/project_work.png" border="0" alt="Work project" title="Work project" /></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $row['description'] ?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo $row['platform'].' / '.$row['language'].' / '.$row['application']?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="2" bgcolor="#E1E1E1"><?php echo date("d-m-Y H:i",$row['create_time']) ?></td>
                                        </tr>
                                        <tr>
                                            <td height="10" colspan="6" bgcolor="#FFFFFF"></td>
                                        </tr>
                                    </table>
							<?php }
							} 
							?>
							<div id="pagination">
                            	<div>
								<?php
                                if ($pagenum != 1) {
                                    $previous = $pagenum-1;
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=1&type=$type&order=$order'> <<</a> ";
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=$previous&type=$type&order=$order'><</a> ";
                                }
                                ?>
                                </div>
                                <div>
								<?php
								if ($num_rows > $page_rows) {
									echo "$pagenum of $last";
								}
								?>
                                </div>

                                <div>
                                <?php
                                //This does the same as above, only checking if we are on the last page, and then generating the Next and Last links
                                if ($pagenum != $last) {
                                    $next = $pagenum+1;
                                    echo "<a href='{$_SERVER['PHP_SELF']}?pagenum=$next&type=$type&order=$order'>></a> ";
                                    echo " <a href='{$_SERVER['PHP_SELF']}?pagenum=$last&type=$type&order=$order'>>></a> ";
                                } 
                                ?>
                                </div>
                            </div>
						<?php }
						//Liberamos el conjunto de resultados
						mysql_free_result($resultado);
						//Cerramos la conexion
						mysql_close($conexion);
						?>
					<?php } ?>
                </div>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
    </div>
</body>
</html>