<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">	
	/*<![CDATA[*/
		function volver() {
			history.back();
		}
	/*]]>*/
	</script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php") ?>
        <div id="content">
            <div id="content_left">
                <ul class="box_left">
                    <li class="box_title"><img src="../../images/general/box_project.png" alt="Project" />Project</li>
                    <li><img src="../../images/general/box_bullet.png" alt="bullet" /><a onclick="volver()" href="#">Back</a></li>
                </ul>
            </div>
            
            <div id="content_center">
                <form id="project_form" name="project_form" enctype="multipart/form-data" method="post" action="open_file_res.php">
                    <fieldset>
                        <legend>Upload a local file</legend>
                        <ul>
                            <li class="form_description">
                            	Please fill out this form if youn want to upload a local file.
                            </li>
                            <li>
                            	<label for="file">Local file:</label>
	                            <input id="file" name="file" type="file" size="30" />
                                <input id="MAX_FILE_SIZE" name="MAX_FILE_SIZE" type="hidden" value="512000" />
                            </li>
                            <li class="form_buttons">
                            	<button type="submit">Send</button>                  
                  				<button type="reset">Reset</button>
                            </li>
						</ul>
                     </fieldset>
                 </form>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
    </div>                            
</body>
</html>
