<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

session_save_path(realpath("../../sessions"));
session_start();

//Hacemos la consulta a la base de datos para obtener los datos del usuario
//Recogemos los datos de conexion de la base de datos
require('../../config/connect_config.php');

//Establecemos la conexion con el servidor
$conexion=mysql_connect($db_host,$db_user,$db_password);

//Asignamos la conexion a una base de datos determinada
mysql_select_db($db_name,$conexion);

//Recogemos en una variable el nombre de la TABLA
$tabla="news";
$time=time();
$query="SELECT * FROM $tabla WHERE (create_time <= $time) ORDER BY create_time DESC";

//Hacemos la consulta
$result=mysql_query($query, $conexion);

$error=0;
if (mysql_errno($conexion)!=0){ 
	$numerror=mysql_errno($conexion);
	$descrerror=mysql_error($conexion);
	$mensaje_head="Sorry, there are errors with data";
	$mensaje="Error nº $numerror: $descrerror";
	$error=1;
}

//Paginacion
//Obtenemos la pagina a mostrar
if (!isset($_REQUEST['pagenum'])) {
	$pagenum = 1;
}
else {
	$pagenum = $_REQUEST['pagenum'];
}
//Here we count the number of results
$num_rows = mysql_num_rows($result);
//This is the number of results displayed per page
$page_rows = 5;
//This tells us the page number of our last page
$last = ceil($num_rows/$page_rows);
//this makes sure the page number isn't below one, or more than our maximum pages
if ($pagenum < 1) {
 	$pagenum = 1;
}
else if ($pagenum > $last) {
	$pagenum = $last;
}

//Detectamos si debemos mostrar las noticias recientes o antiguas
if (!isset($_GET['recent']) || $_GET['recent'] == 1) {
	$title = "Recently news";
	$pagenum = 1;
	$page_rows = 3;
}
else {
	$title = "Archived news";
}

//This sets the range to display in our query
$limit_inf = ($pagenum-1)*$page_rows;
$limit_sup = $limit_inf+$page_rows;


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>WebDevStudio :: An online integrated development environment</title>
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div id="all">
		<?php include("head_sections.php"); ?>
        <div id="content">
            <div id="content_left">
				<?php include("menu_news_sections.php") ?>
            </div>
            
            <div id="content_center">
				<?php if ($error==1) { ?>
					<h2><?php echo $mensaje_head ?></h2>
					<p><?php echo $mensaje ?></p>	                        
					<button onclick="volver()">Back</button>
                <?php } else { ?>
                    <h2><?php echo $title ?></h2>
                    <?php if ($num_rows == 0) { ?>
                        <p>There are not news</p>
                    <?php }	else { 
                        for ($i=0; $i<$num_rows; $i++) {
                            $row = mysql_fetch_assoc($result);
                            if ($i>=$limit_inf && $i<$limit_sup && $row) { ?>
                                <table border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                        <td height="25" class="titular"><?php echo $row['title'] ?></td>
                                    </tr>
                                    <tr>
                                        <td height="20" class="fecha"><?php echo date("d-m-Y H:i",$row['create_time']) ?></td>
                                    </tr>
                                    <tr>
                                        <td class="texto"><?php echo $row['content'] ?></td>
                                    </tr>
                                    <tr>
                                        <td height="15"></td>
                                    </tr>
                                </table>									
                            <?php } 
                        }
                                    
						//Liberamos el conjunto de resultados
						mysql_free_result($result);
						//Cerramos la conexion
						mysql_close($conexion);
						
						//if ($min == 0) {
						if (!isset($_GET['recent']) || $_GET['recent'] == 1) { ?>
							<font class="texto"><a href="../sections/news_sections.php?recent=0">Read more news</a></font>
							<?php } else { ?>
							<!--<font class="texto"><a href="../sections/news_sections.php?recent=1">Read recently news</a></font>-->			    
							<div id="pagination">
								<div>
								<?php 
								if ($pagenum != 1) {
									$previous = $pagenum-1;
									echo "<a href='{$_SERVER['PHP_SELF']}?recent=0&pagenum=1'> <<</a> ";
									echo "<a href='{$_SERVER['PHP_SELF']}?recent=0&pagenum=$previous'><</a> ";
								}
								?>
								</div>
								<div>
								<?php
								if ($num_rows > $page_rows) {
									echo "$pagenum of $last";
								}
								?>
								</div>

								<div>
								<?php
								//This does the same as above, only checking if we are on the last page, and then generating the Next and Last links
								if ($pagenum != $last) {
									$next = $pagenum+1;
									echo "<a href='{$_SERVER['PHP_SELF']}?recent=0&pagenum=$next'>></a> ";
									echo " <a href='{$_SERVER['PHP_SELF']}?recent=0&pagenum=$last'>>></a> ";
								} 
								?>
								</div>
							</div>
						<?php } 
					}
				} ?>
            </div>
        </div>
        <?php include("foot_sections.php"); ?>    
    </div>
</body>
</html>
