<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
require("authentication_admin.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
	/*<![CDATA[*/
        function volver() {
            history.back();
        }
		function get_local_date() {
			var date = new Date();
			var day = date.getDate();
			if (day<10) 
				day = '0'+day;
			var month = date.getMonth()+1;
			if (month<10) 
				month = '0'+month;
			var year = date.getFullYear();
			var hours = date.getHours();
			var minutes = date.getMinutes();
			//document.write(day+'-'+month+'-'+year+' '+hours+':'+minutes);
			return day+'-'+month+'-'+year+' '+hours+':'+minutes
		}
		function get_gmt_date() {
			var date = new Date();
			var day = date.getUTCDate();
			if (day<10) 
				day = '0'+day;
			var month = date.getUTCMonth()+1;
			if (month<10) 
				month = '0'+month;
			var year = date.getUTCFullYear();
			var hours = date.getUTCHours();
			var minutes = date.getUTCMinutes();
			//document.write(day+'-'+month+'-'+year+' '+hours+':'+minutes);
			return day+'-'+month+'-'+year+' '+hours+':'+minutes;
		}


	/*]]>*/
    </script>
</head>
<body>
	<div id="all">
	    <?php include("head_admin.php"); ?>
        <div id="content">
            <div id="content_left">
				<?php include("menu_news_admin.php"); ?>
            </div>
            
            <div id="content_center">
                <form id="news_admin_form" name="news_admin_form" method="post" action="new_news_admin_res.php">
                    <fieldset>
                        <legend>Create news</legend>
                        <ul>
                            <li class="form_description">
                                Please fill out this form to create a piece of news.
                            </li>
                            <li>
                                <label for="title">Title:</label>
                                <input name="title" type="text" size="55" maxlength="50" /> *
                            </li>
                            <li>
								<div id="date_info" style="position:absolute;margin-left:220px;display:none;font-weight:normal;background-color:#FFC; border:1px solid #000;padding:5px;width:150px;" onmouseout="this.style.display='none'">
                                	Insert de GMT date:
                                    <br/>
                                	&nbsp;&nbsp;<script type="text/javascript">document.write(get_gmt_date())</script> GMT
                                    <br/>                                    
                                    &nbsp;&nbsp;<script type="text/javascript">document.write(get_local_date())</script> Local
                                 </div>                             	
                                <label for="create_time">Date:</label>
                                <input name="create_time" type="text" value="" size="16" maxlength="16" /> * <img src="../../images/editor/toolbar/help.png" onmouseover="document.getElementById('date_info').style.display='block'" />
                            </li>
                            <li>
                            	<label for="content">Content:</label>
                                <textarea name="content" cols="50" rows="20"></textarea> *
                            </li>
                            <li class="form_buttons">
                                <button type="submit">Send</button>
                                <button type="reset">Reset</button>
                            </li>
                        </ul>                    
                    </fieldset>
                </form>
                <script type="text/javascript">
					document.news_admin_form.create_time.value = get_gmt_date();
                </script>
            </div>
        </div>
        <?php include("foot_admin.php"); ?>
	</div>
</body>
</html>



