<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

//Comprobamos la autenticacion dependiendo de si somos usuario o administrador
//Si nos pasan el usuario por GET es que debemos ser administradores
if (isset($_GET['user'])) {
	require("../admin/authentication_admin.php");
}
else {
	require("../../authentication.php");
}
//Definimos el usuario
if (isset($_SESSION['admin']) && isset($_GET['user'])) {
	$user=$_GET['user'];
	$_SESSION['s_user']=$user;
}
else {
	$user=$_SESSION['s_user'];
}
//Buscamos en la base de datos si es la primera vez que entramos en el area de trabajo
if (isset($_GET['name'])) {
	//Recogemos los datos de conexion de la base de datos
	require('../../config/connect_config.php');
	//Establecemos la conexion con el servidor
	$conexion = mysql_connect($db_host,$db_user,$db_password);
	//Asignamos la conexion a una base de datos determinada
	mysql_select_db($db_name,$conexion);
	//Recogemos en una variable el nombre de la TABLA
	$tabla = "project";
	$name = $_GET['name'];
	//Hacemos la consulta a la base de datos
	$query = "SELECT * FROM $tabla WHERE (user='$user' AND name='$name')";
	$resultado = mysql_query($query, $conexion);
	$array = mysql_fetch_row($resultado);

	if (mysql_errno($conexion)!=0){ 
		$numerror = mysql_errno($conexion);
   		$descrerror = mysql_error($conexion);
   		echo "Error n $numerror: $descrerror";
	}
	//Ponemos las variables de sesion
	$_SESSION['s_name'] = $array['1'];
	$_SESSION['s_language'] = $array['3'];
	$_SESSION['s_platform'] = $array['4'];
	$_SESSION['s_application'] = $array['5'];
}

//Cargamos algunos datos que ya tenemos o que nos pasan
$name = $_SESSION['s_name'];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="es-ES" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <!-- Estilo general -->
	<link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <link href="../../styles/workspace.css" rel="stylesheet" type="text/css" />
  	<!-- Para las ventanas de dialogo -->			
    <link href="../../styles/windows.css" rel="stylesheet" type="text/css" />

    <!-- Datos generales del proyecto a editar -->
    <script type="text/javascript" >
	/*<![CDATA[*/
      	var PROJECT_NAME = "<?php echo $name ?>";
      	var USER = "<?php echo $user ?>";

      	var PATH_USER = "../../users/"+USER;
     	var PATH_PROJECT = PATH_USER+"/"+PROJECT_NAME;
      
      	var LANGUAGE = "<?php echo $_SESSION['s_language'] ?>";
	/*]]>*/
	</script>
    
    <!-- Efectos de interfaz -->
	<script src="prototype.js" type="text/javascript"></script>
	<script src="scriptaculous.js" type="text/javascript"></script>
    <script src="resizable.js" type="text/javascript"></script>
	<!-- Zona de edicion de codigo -->
    <script src="edit_area/edit_area_loader.js" type="text/javascript"></script>
    <!-- Arbol de ficheros -->
    <script src="filetree.js" type="text/javascript"></script>
   	<script src="filetree_manager.js" type="text/javascript"></script>
	<!-- Linea de comandos -->
	<script src="cmd/cmd.js" type="text/javascript"></script>
    <!-- Ventanas -->
  	<script src="window.js" type="text/javascript"></script>
  	<script src="windows_manager.js" type="text/javascript"></script>

	<script src="tabs_manager.js" type="text/javascript"></script>
    <script src="actions_manager.js" type="text/javascript"></script>  
    <script src="menus.js" type="text/javascript"></script>
    <script src="keyboard_manager.js" type="text/javascript"></script>
    <script src="gui_manager.js" type="text/javascript"></script>
    <script src="init_manager.js" type="text/javascript"></script>
</head>

<body>
	<div id="all">
		<?php
            if (isset($_SESSION['admin'])) {
                include("../admin/head_admin.php");
            }
            else {
                include("../project/head_project.php");
            }
        ?>
        <div id="content">

            <!-- Codigo para las ventanas de dialogo-->
            <!--<div id="window_content" style="display:none;"></div>-->
            <!--<div id="loading_panel" style="z-index:3;display:none;position:absolute;padding:15px; text-align:center;vertical-align:bottom;background:#FFF; border:#000 solid 1px;"><img src="../../images/general/animated_loading_green.gif" align="top" /> Loading...</div>-->
            <!--<div id="layer_off" style="display:none;"></div>-->
            
            <ul id="main">
                
            	<li style="height:100%;float:left;padding:0;margin:0;">
                	<!-- Manejador de la posicion bloque (oculto)-->
                    <div class="main_sortable_handler" style="height:0px;width:100%"></div>
                
                    <div id="center_zone">
                    	<ul id="center_zone_content">
                            <!--Barra de herramientas-->
                            <li id="buttons_bar">
                                <!-- Manejador de la posicion bloque -->
                                <div class="center_zone_sortable_handler" style="cursor:move;height:10px;width:100%"></div>
                                <!-- Barra de botones -->
                                <img src="../../images/editor/toolbar/new_file.png" alt="Create a new file (Ctrl+Shift+N)" title="Create a new file (Ctrl+Shift+N)" class="imagebutton" onclick="windows_manager.show_newfile_window(PATH_PROJECT)" />
                                <img src="../../images/editor/toolbar/new_folder.png" alt="Create a new folder (Ctrl+Shift+Alt+N)" title="Create a new folder (Ctrl+Shift+Alt+N)" class="imagebutton" onclick="windows_manager.show_newfolder_window(PATH_PROJECT)" />
                                <img src="../../images/editor/toolbar/save.png" alt="Save file in server (Ctrl+Shift+S)" title="Save file in server (Ctrl+Shift+S)" class="imagebutton" onclick="actions_manager.save_act_file()" />
                                <img src="../../images/editor/toolbar/save_all.png" alt="Save all files in server (Ctrl+Shift+Alt+S)" title="save all files in server (Ctrl+Shift+Alt+S)" class="imagebutton" onclick="actions_manager.save_all_files()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />                            
                                <img src="../../images/editor/toolbar/up.png" alt="Upload a local file to server (Ctrl+Shift+U)" title="Upload a local file to server (Ctrl+Shift+U)" class="imagebutton" onclick="actions_manager.up_file()" />
                                <img src="../../images/editor/toolbar/down.png" alt="Download file from server (Ctrl+Shift+D)" title="Download file from server (Ctrl+Shift+D)" class="imagebutton" onclick="actions_manager.down_act_file()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/new_backup.png" alt="Backup project (Ctrl+Shift+B)" title="Backup project (Ctrl+Shift+B)" class="imagebutton" onclick="actions_manager.backup()" />
                                <img src="../../images/editor/toolbar/print.png" alt="Print code (Ctrl+Shift+P)" title="Print code (Ctrl+Shift+P)" class="imagebutton" onclick="actions_manager.print_code()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/cut.png" alt="Cut (Ctrl+X)" title="Cut (Ctrl+X)" class="imagebutton" onclick="actions_manager.cut()" />
                                <img src="../../images/editor/toolbar/copy.png" alt="Copy (Ctrl+C)" title="Copy (Ctrl+C)" class="imagebutton" onclick="actions_manager.copy()" />
                                <img src="../../images/editor/toolbar/paste.png" alt="Paste (Ctrl+V)" title="Paste (Ctrl+V)" class="imagebutton" onclick="actions_manager.paste()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/undo.png"  alt="Undo (Ctrl-Z)" title="Undo (Ctrl+Z)" class="imagebutton" onclick="actions_manager.undo()" />
                                <img src="../../images/editor/toolbar/redo.png" alt="Redo (Ctrl-Y)" title="Redo (Ctrl+Y)" class="imagebutton" onclick="actions_manager.redo()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/find.png" alt="Find text (Crtl+Shift+F)" title="Find text (Crtl+Shift+F)" class="imagebutton" onclick="actions_manager.show_search()" />
                                <img src="../../images/editor/toolbar/gotoline.png" alt="Go to line (Ctrl+Shift+G)" title="Go to line (Ctrl+Shift+G)" class="imagebutton" onclick="actions_manager.go_to_line()" />
                                <img src="../../images/editor/toolbar/fullscreen.png" alt="Toogle fullscreen (Ctrl+Shift+W)" title="Toogle fullscreen (Ctrl+Shift+W)" class="imagebutton" onclick="actions_manager.toggle_full_screen()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/compile.png" alt="Save and compile current file (Ctrl+Enter)" title="Save and compile current file (Ctrl+Enter)" class="imagebutton" onclick="actions_manager.compile()" />
                                <img src="../../images/editor/toolbar/build.png" alt="Save all files and build project (Ctrl+Shift+Enter)" title="Save all files and build project (Ctrl+Shift+Enter)" class="imagebutton" onclick="actions_manager.build()" />
                                <img src="../../images/editor/toolbar/separator.png" alt="separator" border="0" />
                                <img src="../../images/editor/toolbar/help.png" class="imagebutton" alt="Toolbar help (Ctrl+Shift+E)" title="Toolbar help (Ctrl+Shift+E)" onclick="actions_manager.help()" />
                                <!--<img src="../../images/editor/toolbar/separator_right.png" alt="separator" border="0" />-->
                            </li>
                     
                            <!-- Editor de codigo -->
                            <li id="editor_zone">
                                <!-- Manejador del bloque (oculto) -->
                                <div class="center_zone_sortable_handler" style="height:0px;width:100%"></div>
                                
                                <!-- Barra de pestanas --> 
                                <div id="tabs_bar">
                                    <ul id="tabs"></ul>
                                    <div id="tabs_buttons">
                                        <img id="tab_left" src="../../images/editor/tabs/tab_left_disabled.png" class="imagebutton" alt="Move tabs left" onclick="tabs_manager.move_tab_left()" />
                                        <img id="tab_right" src="../../images/editor/tabs/tab_right_disabled.png" class="imagebutton" alt="Move tabs right" onclick="tabs_manager.move_tab_right()" />  
                                    </div>
                                </div>
                                                            
                                <!-- Zona del editor de codigo -->
                                <div id="editor_zone_content">
                                    <form id="editor_zone_content_form" name="editor_zone_content_form" method="post" action="">
                                        <textarea id="editor_content" name="editor_content" style="height:100%;width:100%;visibility:hidden;" rows="10" cols="20"></textarea>
                                    </form>                                
                                </div>
                                
                                <!-- Manejador del tamano bloque -->
                                <div id="editor_zone_content_resize_handler"></div>
                            </li>
                            
                            <!-- Zona de resultados -->
                            <li id="result_zone">
                                <!-- Manejador de la posicion bloque -->
                                <div class="center_zone_sortable_handler" style="cursor:move;height:5px;width:100%"></div>
                                
                                <!-- Pestanas de resultados -->
                                <div id="result_tabbar">
                                    <ul id="result_tabs">
                                    	<li id="result_tab_0" class="tab" onclick="tabs_manager.show_result(0)" style="background-color:#DEDEDE;"><div class="tab_name">Results</div></li>
                                        <li id="result_tab_1" class="tab" onclick="tabs_manager.show_result(1)"><div class="tab_name">Command line </div><img id="result_loading" alt="loading" src="../../images/general/animated_loading_green.gif" class="tab_loading_img" /></li>
                                        <li id="result_tab_2" class="tab" onclick="tabs_manager.show_result(2)" oncontextmenu="dropmenu.dropdownmenu(event, this, 'dropmenulog'); return false;" onmouseout="dropmenu.delayhidemenu()"><div class="tab_name">Log</div></li>
                                    </ul>
                                </div>

                                                                
                                <!-- Zona de resultados de compilacion -->
                                <div id="result_zone_content">
                                    <div id="result_container_main" style="">
                                        <div id="result_container_0" class="result_container" style="display:block">
                                            <div id="results"><pre></pre></div>
                                        </div>
                                        <!-- Consola de linea de comandos -->
                                        <div id="result_container_1" class="result_container" style="display:none">
                                            <div id="cmd_area" class="cmd_area" onclick="cmd.focus()">
                                                <form id="cmd_form" onsubmit="cmd.exec(); return false;" style="padding:5px;" action="">
                                                    <div id="cmd_text" class="cmd_text"><pre>WebDevStudio Command Line</pre></div>
                                                    <div id="cmd_line">
                                                        <span id="cmd_prompt">wds:~$</span><input class="cmd_input" id="cmd_input" onkeydown="cmd.key(event)"></input>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                        <div id="result_container_2" class="result_container" style="display:none">
                                            <div id="logs"><pre></pre></div>
                                        </div>
                                            
                                  </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                    
                    <div id="center_zone_resize_handler" style="opacity:0.15;filter:alpha(opacity=15);" onmouseover="gui_manager.show_handler(this);" onmouseout="gui_manager.hidde_handler(this);"><img src="../../images/editor/border_limit.png" alt="resizer border" /></div>
                </li>
            
                <li id="right_zone" style="float:left;width:180px;">
                    <!-- Manejador de la posicion del bloque -->
                    <div class="main_sortable_handler" style="cursor:move;height:11px;width:100%"></div>
                    <!--Arbol de ficheros-->
                    <div id="filetree_zone" style="display:block;float:left;width:100%;">
                        <div id="filetree" style="margin:10px;margin-top:0;overflow:auto"></div>
                    </div>
                    <!-- Manejador del tamano del bloque -->
                    <div id="right_zone_resize_handler" style="opacity:0.15;filter:alpha(opacity=15);" onmouseover="gui_manager.show_handler(this);" onmouseout="gui_manager.hidde_handler(this);"><img src="../../images/editor/border_limit.png" alt="resizer border"/></div>
                </li>
            </ul>
              
            <!--Menus emergentes-->
            <div id="dropmenu_zone">
                <div id="dropmenuroot" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.refresh_filetree()"><img src="../../images/editor/menus/refresh.png" alt="Refresh" height="12" width="11" />Refresh</div>
                </div>
            
                <div id="dropmenufile" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.open_file()"><img src="../../images/editor/menus/folder_open.png" height="12" width="11" alt="Open file" />Open file</div>
                    <div onclick="dropmenu.delete_file()"><img src="../../images/editor/menus/delete_file.png" alt="Delete file" />Delete file</div>
                    <div onclick="dropmenu.rename_file()"><img src="../../images/editor/menus/rename_file.png" alt="Rename file" />Rename file</div>
                    <div onclick="dropmenu.download_file()"><img src="../../images/editor/menus/down_file.png" alt="Download file" />Download file</div>
                </div>              
                <div id="dropmenufolder" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.new_file()"><img src="../../images/editor/menus/new_file.png" alt="Create file" height="12" width="11" />Create file</div>
                    <div onclick="dropmenu.new_folder()"><img src="../../images/editor/menus/folder_add.png" alt="Create folder" height="12" width="11" />Create folder</div>
                    <div onclick="dropmenu.delete_folder()"><img src="../../images/editor/menus/delete_file.png" alt="Delete folder" />Delete folder</div>
                    <div onclick="dropmenu.rename_folder()"><img src="../../images/editor/menus/rename_file.png" alt="Rename folder" />Rename folder</div>
                </div>
                
                <div id="dropmenufile_explorer" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.delete_file()"><img src="../../images/editor/menus/delete_file.png" alt="Delete file" />Delete file</div>
                    <div onclick="dropmenu.rename_file_explorer()"><img src="../../images/editor/menus/rename_file.png" alt="Rename file" />Rename file</div>
                </div>              
                <div id="dropmenufolder_explorer" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.delete_folder()"><img src="../../images/editor/menus/delete_file.png" alt="Delete folder" />Delete folder</div>
                    <div onclick="dropmenu.rename_folder_explorer()"><img src="../../images/editor/menus/rename_file.png" alt="Rename folder" />Rename folder</div>
                </div>

                <div id="dropmenulog" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                    <div onclick="dropmenu.clear_log()"><img src="../../images/editor/menus/delete_file.png" alt="Clear log" />Clear log</div>
                </div>
                
                <div id="dropmenutab" class="emergent_menu" style="display:none" onmouseover="dropmenu.clearhidemenu()" onmouseout="dropmenu.delayhidemenu()">
                	<div onclick="dropmenu.new_file_tab()"><img src="../../images/editor/menus/new_file.png" alt="Create file" height="12" width="11" />Create file</div>
                    <div onclick="dropmenu.save_file()"><img src="../../images/editor/menus/save.png" alt="Save file" height="12" width="11" />Save file</div>
                    <div onclick="dropmenu.close_file()"><img src="../../images/editor/menus/close_tab.png" alt="Close file" height="12" width="11" />Close file</div>
                </div>
        	</div>
        </div>
		<?php
            if (isset($_SESSION['admin'])) {
                include("../admin/foot_admin.php");
            }
            else {
                include("../project/foot_project.php");
            }
        ?>
	</div>
</body>
</html>

